#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("TANSUAT.INP");
	ofstream f2("TANSUAT.OUT");
	int n;
	f1>>n;
	int f[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	sort(f,f+n);
	int ok=0;
	int dem =1;
	for(int i=0;i<n-1;i++)
	{
		if(f[i]==f[i+1]) dem++;
		else
		{
			if(dem>1) 
			{
				f2<<f[i]<<' '<<dem<<endl;;
				ok++;
			}
			dem=1;
		}
	}
	if(dem>1) 
	{
		f2<<f[n-1]<<' '<<dem;
		ok++;
	}
	if(ok==0) f2<<0;
	f1.close();
	f2.close();
	return 0;
}
